﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DockManager;
using System.Windows.Forms.Integration;

namespace InfragisticTest
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();
            this.AddTabs();
            this.AddTabsInInfragisticDockManager();
        }
        
        void AddTabsInInfragisticDockManager()
        {
            DocumentContentHost docContentHost = new DocumentContentHost();
            dockmanager.Content = docContentHost;
            SplitPane sp = new SplitPane();
            docContentHost.Panes.Add(sp);
            TabGroupPane tb = new TabGroupPane();
            sp.Panes.Add(tb);
            
            // first content pane
            ContentPane c1 = new ContentPane();
            c1.Header = "first tab";
            Button b1 = new Button();
            b1.Content = "this is a button in first tab";
            c1.Content = b1;
            

            // 2nd content pane
            ContentPane c2 = new ContentPane();
            c2.Header = "second tab";
            WindowsFormsHost host2 = new WindowsFormsHost();
            System.Windows.Forms.Button b2 = new System.Windows.Forms.Button();
            b2.Text = "this is a button hosted in windows forms host";
            host2.Child = b2;
            c2.Content = host2;

            // 3rd content pane
            ContentPane c3 = new ContentPane();
            c3.Header = "third tab";
            Button b3 = new Button();
            b3.Content = "this is a button in third tab";
            c3.Content = b3;


            // 4rth content pane
            ContentPane c4 = new ContentPane();
            c4.Header = "forth tab";
            WindowsFormsHost host4 = new WindowsFormsHost();
            System.Windows.Forms.Label b4 = new System.Windows.Forms.Label();
            b4.Text = "this is a label hosted in windows forms host";
            host4.Child = b4;
            c4.Content = host4;

            // fifth content pane
            ContentPane c5 = new ContentPane();
            c5.Header = "fifth tab";
            Button b5 = new Button();
            b5.Content = "this is a button in fifth tab";
            c5.Content = b5;

            // fifth content pane
            ContentPane c6 = new ContentPane();
            c6.Header = "sixth tab";
            Button b6 = new Button();
            b6.Content = "this is a button in sixth tab";
            c6.Content = b6;

            // fifth content pane
            ContentPane c7 = new ContentPane();
            c7.Header = "seventh tab";
            Button b7 = new Button();
            b7.Content = "this is a button in seventh tab";
            c7.Content = b7;


            
            
            tb.Items.Add(c2);
            tb.Items.Add(c4);
            tb.Items.Add(c1);
            tb.Items.Add(c3);
            tb.Items.Add(c5);
            tb.Items.Add(c6);
            tb.Items.Add(c7);
            
            //c2.Activate();
        }

        void AddTabs()
        {
            TabControl tab = new TabControl();
            tab.SetBinding(Grid.RowProperty, "0");
            tab.SetBinding(Grid.ColumnProperty, "0");
            this.grd.Children.Add(tab);

            // first content pane
            TabItem c1 = new TabItem();
            c1.Header = "first tab";
            Button b1 = new Button();
            b1.Content = "this is a button in first tab";
            c1.Content = b1;


            // 2nd content pane
            TabItem c2 = new TabItem();
            c2.Header = "second tab";
            WindowsFormsHost host2 = new WindowsFormsHost();
            System.Windows.Forms.Button b2 = new System.Windows.Forms.Button();
            b2.Text = "this is a button hosted in windows forms host";
            host2.Child = b2;
            c2.Content = host2;

            // 3rd content pane
            TabItem c3 = new TabItem();
            c3.Header = "third tab";
            Button b3 = new Button();
            b3.Content = "this is a button in third tab";
            c3.Content = b3;


            // 4rth content pane
            TabItem c4 = new TabItem();
            c4.Header = "forth tab";
            WindowsFormsHost host4 = new WindowsFormsHost();
            System.Windows.Forms.Label b4 = new System.Windows.Forms.Label();
            b4.Text = "this is a label hosted in windows forms host";
            host4.Child = b4;
            c4.Content = host4;

            // fifth content pane
            TabItem c5 = new TabItem();
            c5.Header = "fifth tab";
            Button b5 = new Button();
            b5.Content = "this is a button in fifth tab";
            c5.Content = b5;

            // fifth content pane
            TabItem c6 = new TabItem();
            c6.Header = "sixth tab";
            Button b6 = new Button();
            b6.Content = "this is a button in sixth tab";
            c6.Content = b6;

            // fifth content pane
            TabItem c7 = new TabItem();
            c7.Header = "seventh tab";
            Button b7 = new Button();
            b7.Content = "this is a button in seventh tab";
            c7.Content = b7;




            tab.Items.Add(c2);
            tab.Items.Add(c4);
            tab.Items.Add(c1);
            tab.Items.Add(c3);
            tab.Items.Add(c5);
            tab.Items.Add(c6);
            tab.Items.Add(c7);

            //c2.Activate();
        }
    }
}
